declare const _default: import("vue").DefineComponent<{}, {}, {}, {}, {
    afterEnter(element: any): void;
    enter(element: any): void;
    leave(element: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
